import _pyhl
import _rave_info_type
from Numeric import *

def test_append_attr():
    a=_pyhl.read_nodelist("training_file.hdf")
    #a.selectNode("/MinDatatyp")
    #a.fetch()
    
    #b=_pyhl.node(_pyhl.ATTRIBUTE_ID,"/19990101/noaa15/ahenja/attr3")
    #b.setScalarValue(-1,19.0,"double",-1)
    #a.addNode(b)

    #b=_pyhl.node(_pyhl.GROUP_ID,"/19990101/noaa15/ahenja/g2");
    #a.addNode(b)
    #b=_pyhl.node(_pyhl.ATTRIBUTE_ID,"/19990101/noaa15/ahenja/g2/a1");
    #b.setScalarValue(-1,19.0,"double",-1)
    #a.addNode(b);

    rinfo_type = _rave_info_type.type()

    #b=_pyhl.node(_pyhl.TYPE_ID,"/MinDatatyp")
    #b.commit(rinfo_type.hid())
    #a.addNode(b)
    #rinfo_type = a.getNode("/MinDatatyp"); # Want to use stored datatype

    rinfo_obj = _rave_info_type.object()
    rinfo_obj.xsize=10
    rinfo_obj.ysize=10
    rinfo_obj.xscale=150.0
    rinfo_obj.yscale=150.0
    BASEGROUP = "/19990101/noaa15/ahenja/g4"

    b = _pyhl.node(_pyhl.GROUP_ID,BASEGROUP);
    a.addNode(b)
    b = _pyhl.node(_pyhl.DATASET_ID,BASEGROUP + "/d1")
    c=arange(110)
    c=array(c.astype('b'),'b')
    c=reshape(c,(10,11))
    b.setArrayValue(1,[10,11],c,"uchar",-1)
    a.addNode(b)

    b=_pyhl.node(_pyhl.ATTRIBUTE_ID,BASEGROUP + "/d1/a1")
    b.setScalarValue(-1,"attribut i dataset","string",-1)
    a.addNode(b)

    b=_pyhl.node(_pyhl.ATTRIBUTE_ID,BASEGROUP + "/a1")
    b.setScalarValue(-1,"attribut i grupp","string",-1)
    a.addNode(b)

    b=_pyhl.node(_pyhl.ATTRIBUTE_ID,BASEGROUP + "/d1/c1")
    b.setScalarValue(rinfo_type.size(),rinfo_obj.tostring(),"compound",rinfo_type.hid())
    a.addNode(b)
    rinfo_obj.xsize=99
    rinfo_obj.ysize=109
    b=_pyhl.node(_pyhl.ATTRIBUTE_ID,BASEGROUP + "/c2")
    b.setScalarValue(rinfo_type.size(),rinfo_obj.tostring(),"compound",rinfo_type.hid())
    a.addNode(b)

    a.update()



if __name__=="__main__":
    test_append_attr()

